aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Lukacs Berki <lberki@google.com>2015-07-02 10:08:01 +0000
committerGravatar Florian Weikert <fwe@google.com>2015-07-02 11:26:44 +0000
commitf2b1fd6ac367b616a13c3426193e32ad3aae929b (patch)
tree0a03d7839d4822b53fa4f51e8764d121d2a05c7c /scripts
parentf54fc60c7fc0414c1490dbeed8606e51841e9486 (diff)
Make intellij-setup.sh work again.
As a drive-by fix, add correct deps to //src/test/java:skylarkshell . Why don't we build that in our tests? -- MOS_MIGRATED_REVID=97404777
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get_all_bazel_paths.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/scripts/get_all_bazel_paths.sh b/scripts/get_all_bazel_paths.sh
index ece9203d89..c945ea0a08 100755
--- a/scripts/get_all_bazel_paths.sh
+++ b/scripts/get_all_bazel_paths.sh
@@ -28,8 +28,11 @@ function query() {
([ -f "output/bazel" ] && [ -f "tools/jdk/JavaBuilder_deploy.jar" ] && [ -f "tools/jdk/ijar" ] \
&& [ -f "tools/jdk/SingleJar_deploy.jar" ] && [ -e "tools/jdk/jdk" ]) || ./compile.sh >&2 || exit $?
-# Build everything
-./output/bazel build //src/... //third_party/... >&2 || exit $?
+# Build almost everything.
+# //third_party/ijar/test/... is disabled due to #273.
+# xcode and android tools do not work out of the box.
+./output/bazel build -- //src/... //third_party/... \
+ -//third_party/ijar/test/... -//src/tools/{xcode,android}/... >&2 || exit $?
# Path IDE should put its output files in.
IDE_OUTPUT_PATH="bazel-out/ide-classes"